Subject: [bug#71317] [PATCH] fixed dependencies for latexindent

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 10 Jun 2024 20:34:35 +0200

Hello,

Nicolas Goaziou via Guix-patches via <[email-masked]> writes:

> Perl is already an input, it should not be a propagated input, too.
> `perl-yaml-tiny' and `perl-file-homedir' should also be moved to inputs.
> In that case, you will probably need to add a phase such as this one:
>
>           (add-after 'link-scripts 'wrap-perl-script
>             (lambda _
>               (wrap-program (string-append #$output "/bin/latexindent")
>                 `("PERL5LIB" ":" prefix (,(getenv "PERL5LIB"))))))

I went ahead and applied the changes suggested, then pushed it.

Thank you for your initial report!

Regards,
-- 
Nicolas Goaziou